#pragma once

#include <string>
#include <filesystem>

using Path = std::filesystem::path;

class SvgDocument;

class SvgWriter
{
public:
    std::string toString(SvgDocument* document) const;

    void toFile(const Path& path, SvgDocument* document) const;
};
